#pragma once

#include "CoreMinimal.h"
#include "CurseAbilityData.h"
#include "DBDTunableRowHandle.h"
#include "K41CurseAbilityData.generated.h"

class UFloatValueStrategy;

UCLASS(Blueprintable)
class THEK41_API UK41CurseAbilityData : public UCurseAbilityData
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _maximumNumberOfMushrooms;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced, meta=(AllowPrivateAccess=true))
	UFloatValueStrategy* _spawnMushroomInterval;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced, meta=(AllowPrivateAccess=true))
	UFloatValueStrategy* _respawnMushroomRange;

public:
	UK41CurseAbilityData();
};

FORCEINLINE uint32 GetTypeHash(const UK41CurseAbilityData) { return 0; }
